org.eclipse.eef.core.internal.controllers

## Class EEFGroupController

- java.lang.Object
- - org.eclipse.eef.core.api.controllers.AbstractEEFController
  - - org.eclipse.eef.core.internal.controllers.EEFGroupController

All Implemented Interfaces:
  IEEFController, IEEFGroupController, IEEFToolbarActionController

    public class EEFGroupController
    extends AbstractEEFController
    implements IEEFGroupController

This controller is used to manage the interaction with a group.

### Field Summary

### Fields inherited from class org.eclipse.eef.core.api.controllers.AbstractEEFController

`editingContextAdapter, interpreter, variableManager`

### Constructor Summary

Constructors
Constructor and Description
`EEFGroupController(EEFGroupDescription description, org.eclipse.sirius.common.interpreter.api.IVariableManager variableManager, org.eclipse.sirius.common.interpreter.api.IInterpreter interpreter, EditingContextAdapter editingContextAdapter)` The constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`protected org.eclipse.emf.ecore.EObject` `getValidationRulesContainer()` Returns the EObject containing the validation rules.
`protected org.eclipse.emf.ecore.EReference` `getValidationRulesReference()` Returns the EReference containing the validation rules.
`void` `onNewLabel(java.util.function.Consumer<java.lang.String> consumer)` Register a consumer which will be called with the new value of the label when it will change.
`void` `refresh()` Refresh the controller.
`void` `removeNewLabelConsumer()` Remove the consumer of the new value of the label.

### Methods inherited from class org.eclipse.eef.core.api.controllers.AbstractEEFController

`newEval, onValidation, removeValidationConsumer`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.eef.core.api.controllers.IEEFController

`onValidation, removeValidationConsumer`

### Methods inherited from interface org.eclipse.eef.core.api.controllers.IEEFToolbarActionController

`action`

### Constructor Detail

#### EEFGroupController

    public EEFGroupController(EEFGroupDescription description,
                              org.eclipse.sirius.common.interpreter.api.IVariableManager variableManager,
                              org.eclipse.sirius.common.interpreter.api.IInterpreter interpreter,
                              EditingContextAdapter editingContextAdapter)

The constructor.

Parameters:
  `description` - The description
  `variableManager` - The variable manager
  `interpreter` - The interpreter
  `editingContextAdapter` - The editing context adapter

### Method Detail

#### onNewLabel

    public void onNewLabel(java.util.function.Consumer<java.lang.String> consumer)

Register a consumer which will be called with the new value of the label when it will change.

Specified by:
  `onNewLabel` in interface `IEEFGroupController`
Parameters:
  `consumer` - The consumer of the new value of the label
See Also:
  `IEEFGroupController.onNewLabel(java.util.function.Consumer)`

#### removeNewLabelConsumer

    public void removeNewLabelConsumer()

Remove the consumer of the new value of the label.

Specified by:
  `removeNewLabelConsumer` in interface `IEEFGroupController`
See Also:
  `IEEFGroupController.removeNewLabelConsumer()`

#### getValidationRulesContainer

    protected org.eclipse.emf.ecore.EObject getValidationRulesContainer()

Returns the EObject containing the validation rules.

Specified by:
  `getValidationRulesContainer` in class `AbstractEEFController`
Returns:
  The EObject containing the validation rules
See Also:
  `AbstractEEFController.getValidationRulesContainer()`

#### getValidationRulesReference

    protected org.eclipse.emf.ecore.EReference getValidationRulesReference()

Returns the EReference containing the validation rules.

Specified by:
  `getValidationRulesReference` in class `AbstractEEFController`
Returns:
  The EReference containing the validation rules.
See Also:
  `AbstractEEFController.getValidationRulesReference()`

#### refresh

    public void refresh()

Refresh the controller.

Specified by:
  `refresh` in interface `IEEFController`
Overrides:
  `refresh` in class `AbstractEEFController`
See Also:
  `AbstractEEFController.refresh()`